com.amazon.redshift

## Interface IPlugin

All Known Implementing Classes:
  AdfsCredentialsProvider, AzureCredentialsProvider, BasicJwtCredentialsProvider, BasicSamlCredentialsProvider, BrowserAzureCredentialsProvider, BrowserSamlCredentialsProvider, JwtCredentialsProvider, OktaCredentialsProvider, PingCredentialsProvider, SamlCredentialsProvider

    public interface IPlugin

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addParameter(String key, String value)`
`void` `setLogger(RedshiftLogger log)`

### Method Detail

#### addParameter

    void addParameter(String key,
                      String value)

#### setLogger

    void setLogger(RedshiftLogger log)